Last Comment Bug 331820 - Endianness problem on mipsel in fdlibm
: Endianness problem on mipsel in fdlibm
Status: RESOLVED FIXED
: fixed1.8.0.4, fixed1.8.1
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: Other All
-- normal (vote)
: ---
Assigned To: general
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-26 21:36 PST by Mike Hommey [:glandium]
Modified: 2006-04-22 23:33 PDT (History)
4 users (show)
brendan: blocking1.8.1+
dveditz: blocking1.8.0.4+
bob: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (394 bytes, patch)
2006-03-26 21:38 PST, Mike Hommey [:glandium]
brendan: review+
brendan: approval‑branch‑1.8.1+
dveditz: approval1.8.0.4+
Details | Diff | Splinter Review

Description User image Mike Hommey [:glandium] 2006-03-26 21:36:34 PST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.8.0.1) Gecko/20060313 Debian/1.5.dfsg+1.5.0.1-4 Firefox/1.5.0.1
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.8.0.1) Gecko/20060313 Debian/1.5.dfsg+1.5.0.1-4 Firefox/1.5.0.1

Everything is in the summary.
Patch following.

Reproducible: Always
Comment 1 User image Mike Hommey [:glandium] 2006-03-26 21:38:37 PST
Created attachment 216375 [details] [diff] [review]
Patch

Courtesy of Ian Jackson and Thiemo Seufer.
Comment 2 User image Brendan Eich [:brendan] 2006-03-26 21:50:25 PST
Comment on attachment 216375 [details] [diff] [review]
Patch

rs=me, and it looks right to an old SGI'er, but note that we are putting fdlibm out to pasture.  Modern libms are good enough, mostly (some workarounds for NaN mishandling still required).

/be
Comment 3 User image Brendan Eich [:brendan] 2006-03-26 21:55:37 PST
Trivial porting fix. Checking into trunk and 1.8 branch now.

/be
Comment 4 User image Tim Riley [:timr] 2006-03-27 07:03:36 PST
Seems like a no-brainer. My pre-vote for release team is to plus it!
Comment 5 User image Daniel Veditz [:dveditz] 2006-04-03 12:26:31 PDT
Comment on attachment 216375 [details] [diff] [review]
Patch

approved for 1.8.0 branch, a=dveditz for drivers
Comment 6 User image Brendan Eich [:brendan] 2006-04-22 23:33:45 PDT
Fixed on the 1.8.0 branch.

/be

Note You need to log in before you can comment on or make changes to this bug.